<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');
require_once('sadmin_ip_conf.inc.php');


// check
	if (!$_POST['ip_ipaddr'])
		msg('올바른 URL로 접근하여 주십시오');

	// 중복여부 체크
	$sql = "SELECT COUNT(*)  FROM " . $ip_table . " WHERE ip_ipaddr='" . $_POST['ip_ipaddr'] . "' AND ip_netmask='" . $_POST['ip_netmask'] . "'";
	$ip_cnt = db_get_one($sql);
	if ($ip_cnt > 0)
		msg("이미 추가된 IP입니다.");


// data
		to_db_str($_POST['ip_ipaddr'], 15, false);
		to_db_str($_POST['ip_netmask'], 15, false);
		to_db_str($_POST['ip_memo'], 255);
		$_POST['ip_regdate'] = date('Y-m-d H:i:s');

		// 추가
		$sql = "
			INSERT INTO
				" . $ip_table . "
				(ip_ipaddr, ip_netmask, ip_memo, ip_regdate)
			VALUES
				('" . $_POST['ip_ipaddr'] . "', '" . $_POST['ip_netmask'] . "', '" . $_POST['ip_memo'] . "', '" . $_POST['ip_regdate'] . "')
			";
		db_query($sql);

		// 디비를 기준으로 설정파일 갱신.
		nm_iptab_update_by_db($ip_table, $ip_tab);


// end
	movepage('sadmin_ip.php?' . get_qs('ip'));


require_once('include/global_end.php');
?>